Get all import job
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/importJob
Returns a list of import jobs that match the search criteria.
Request
Query Parameters
-
createdBy: string
The job request submitter name.
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
-
fileName: string
The name of the file associated with the resource.
-
id: string
The unique ID of the resource item.
-
limit: integer
The number of resources to be returned in the response. The minimum value that can be specified is 1, and the maximum value that can be specified is 100,000. If the specified value is greater than 100,000, then it defaults to 100,000.
-
offset: string
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The list of import jobs was returned successfully.
Nested Schema : ImportJobOracle
Title:
ImportJobOracleMatch All
Show Source
-
object
ImportJob
Title:
ImportJobDiscriminator:{ "propertyName":"@type", "mapping":{ "ImportJob":"#/components/schemas/ImportJob", "ImportJobOracle":"#/components/schemas/ImportJobOracle" } }The import job resource. -
object
ImportJobOracle-allOf[1]
Nested Schema : ImportJob
Type:
objectTitle:
ImportJobDiscriminator: @type
Discriminator Values
The import job resource.
Show Source
-
@baseType: string
Indicates the base class type of this REST resource.
-
@schemaLocation: string
The URI of the schema that defines the import job.
-
@type(required): string
The class type of the import job.
-
completionDate: string
(date-time)
The date and time when the import job completed.
-
contentType: string
The content type of the import job request.
-
creationDate: string
(date-time)
The date and time when the import job was created.
-
errorLog: string
The error log for the import job request.
-
href: string
The hyperlink reference to the import job.
-
id: integer
(int64)
The ID of the import job.
-
path: string
The path of the import job request file.
-
status: string
Allowed Values:
[ "NOT_STARTED", "RUNNING", "SUCCEEDED", "FAILED", "COMPLETED", "ERROR", "BLOCKED", "READY", "CANCELLED", "CANCELLING" ]The status of the import job. -
url: string
The URL of the import job request.
Nested Schema : ImportJobOracle-allOf[1]
Type:
Show Source
object-
createdBy: string
The name of the user who submitted the import job.
-
errorLogUrl: string
The URL of the error log.
-
fileName: string
The name of the file used by the import job.
-
importSummary: object
importSummary
The summary of the import job.
Nested Schema : importSummary
Type:
objectThe summary of the import job.
Show Source
-
id: integer
(int64)
The ID of the import job.
-
resources: array
resources
A list of resources included in the import summary.
-
totalImportObjects: integer
The total number of imported objects.
Nested Schema : resources
Type:
arrayA list of resources included in the import summary.
Show Source
-
Array of:
object ImportSummaryResource
Title:
ImportSummaryResourceThe object that contains imported resource details, such as name and count.
Nested Schema : ImportSummaryResource
Type:
objectTitle:
ImportSummaryResourceThe object that contains imported resource details, such as name and count.
Show Source
-
count: integer
Indicates the number of resource imported.
-
name: string
The name of the import summary resource.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
501 Response
The server doesn't support the functionality required to fulfill the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to get all import jobs by submitting a GET request on the REST resource using cURL.
curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/importJob/Example of Request Body
The following shows an example of the request body.
https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/Example of Response Body
The following example shows the contents of the response body in JSON format.
[
{
"id": 174437,
"@type": "ImportJobOracle",
"contentType": "application/zip",
"status": "ERROR",
"fileName": "productOffering5000.zip",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering5000.zip",
"errorLog": "Errors importing data for resource productOffering. 4900 error(s) occurred.\n, 100 record(s) rolled back.",
"importSummary": {
"id": 174437,
"totalImportObjects": 1,
"resources": [
{
"name": "project",
"count": 1
}
]
},
"errorLogUrl": "v1/importFile/174437.log",
"creationDate": "2021-04-23 06:52:56.846",
"completionDate": "2021-04-23 07:12:56.941",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/174437"
},
{
"id": 174415,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productOffering5.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering5.json",
"importSummary": {
"id": 174415,
"totalImportObjects": 6,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productOffering",
"count": 5
}
]
},
"creationDate": "2021-04-23 06:45:28.281",
"completionDate": "2021-04-23 06:46:59.196",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/174415"
},
{
"id": 174335,
"@type": "ImportJobOracle",
"contentType": "application/zip",
"status": "SUCCEEDED",
"fileName": "productSpecification5000.zip",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification5000.zip",
"importSummary": {
"id": 174335,
"totalImportObjects": 5001,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 5000
}
]
},
"creationDate": "2021-04-23 05:54:25.855",
"completionDate": "2021-04-23 06:22:39.589",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/174335"
},
{
"id": 174192,
"@type": "ImportJobOracle",
"contentType": "application/zip",
"status": "ERROR",
"fileName": "productSpecification5000.zip",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification5000.zip",
"errorLog": "Errors importing data for resource productSpecification. 131 error(s) occurred.\n, 4069 record(s) rolled back.",
"importSummary": {
"id": 174192,
"totalImportObjects": 801,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 800
}
]
},
"errorLogUrl": "v1/importFile/174192.log",
"creationDate": "2021-04-23 04:44:40.948",
"completionDate": "2021-04-23 05:23:49.972",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/174192"
},
{
"id": 174165,
"@type": "ImportJobOracle",
"contentType": "application/zip",
"status": "ERROR",
"fileName": "productSpecification5000.zip",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification5000.zip",
"errorLog": "Errors importing data for resource productSpecification. 0 error(s) occurred.\n, 4400 record(s) rolled back.",
"importSummary": {
"id": 174165,
"totalImportObjects": 601,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 600
}
]
},
"errorLogUrl": "v1/importFile/174165.log",
"creationDate": "2021-04-23 04:31:20.948",
"completionDate": "2021-04-23 04:57:35.756",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/174165"
},
{
"id": 173491,
"@type": "ImportJobOracle",
"contentType": "application/zip",
"status": "ERROR",
"fileName": "productOffering5000.zip",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering5000.zip",
"errorLog": "Total error count: 20. Errors validating data for resource productOffering. 19 error(s) occurred.\n",
"importSummary": "",
"errorLogUrl": "v1/importFile/173491.log",
"creationDate": "2021-04-22 17:59:21.594",
"completionDate": "2021-04-22 18:00:19.641",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173491"
},
{
"id": 173411,
"@type": "ImportJobOracle",
"contentType": "application/zip",
"status": "ERROR",
"fileName": "productSpecification5000.zip",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification5000.zip",
"errorLog": "Errors importing data for resource productSpecification. 4000 error(s) occurred.\n, 1000 record(s) rolled back.",
"importSummary": {
"id": 173411,
"totalImportObjects": 1,
"resources": [
{
"name": "project",
"count": 1
}
]
},
"errorLogUrl": "v1/importFile/173411.log",
"creationDate": "2021-04-22 17:40:08.106",
"completionDate": "2021-04-22 17:54:14.077",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173411"
},
{
"id": 173396,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productSpecification2 3.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification2 3.json",
"importSummary": {
"id": 173396,
"totalImportObjects": 3,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 2
}
]
},
"creationDate": "2021-04-22 17:33:23.621",
"completionDate": "2021-04-22 17:34:39.049",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173396"
},
{
"id": 173385,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productSpecification2 3.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification2 3.json",
"importSummary": {
"id": 173385,
"totalImportObjects": 3,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 2
}
]
},
"creationDate": "2021-04-22 17:32:18.797",
"completionDate": "2021-04-22 17:33:37.512",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173385"
},
{
"id": 173355,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "ERROR",
"fileName": "productOffering10.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering10.json",
"errorLog": "Errors importing data for resource productOffering. 0 error(s) occurred.\n, 1 record(s) rolled back.",
"importSummary": {
"id": 173355,
"totalImportObjects": 10,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productOffering",
"count": 9
}
]
},
"errorLogUrl": "v1/importFile/173355.log",
"creationDate": "2021-04-22 17:23:12.596",
"completionDate": "2021-04-22 17:24:34.834",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173355"
},
{
"id": 173335,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productOffering5.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering5.json",
"importSummary": {
"id": 173335,
"totalImportObjects": 6,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productOffering",
"count": 5
}
]
},
"creationDate": "2021-04-22 17:15:30.787",
"completionDate": "2021-04-22 17:16:54.465",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173335"
},
{
"id": 173319,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productOffering2.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering2.json",
"importSummary": {
"id": 173319,
"totalImportObjects": 3,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productOffering",
"count": 2
}
]
},
"creationDate": "2021-04-22 17:07:05.003",
"completionDate": "2021-04-22 17:08:28.942",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173319"
},
{
"id": 173301,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productSpecification5.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification5.json",
"importSummary": {
"id": 173301,
"totalImportObjects": 6,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 5
}
]
},
"creationDate": "2021-04-22 17:02:10.217",
"completionDate": "2021-04-22 17:03:25.055",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173301"
},
{
"id": 173279,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "productSpecification2.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification2.json",
"importSummary": {
"id": 173279,
"totalImportObjects": 3,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productSpecification",
"count": 2
}
]
},
"creationDate": "2021-04-22 16:54:05.858",
"completionDate": "2021-04-22 16:55:20.71",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173279"
},
{
"id": 173259,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "ERROR",
"fileName": "productSpecification2.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productSpecification2.json",
"errorLog": "Errors importing data for resource productSpecification. 2 error(s) occurred.\n",
"importSummary": {
"id": 173259,
"totalImportObjects": 1,
"resources": [
{
"name": "project",
"count": 1
}
]
},
"errorLogUrl": "v1/importFile/173259.log",
"creationDate": "2021-04-22 16:44:02.164",
"completionDate": "2021-04-22 16:45:19.406",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173259"
},
{
"id": 173239,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "ERROR",
"fileName": "productOffering2.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering2.json",
"errorLog": "Total error count: 2. Errors validating data for resource productOffering. 2 error(s) occurred.\n",
"importSummary": "",
"errorLogUrl": "v1/importFile/173239.log",
"creationDate": "2021-04-22 16:26:56.693",
"completionDate": "2021-04-22 16:27:39.853",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173239"
},
{
"id": 173225,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "ERROR",
"fileName": "productOffering2.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/productOffering2.json",
"errorLog": "Total error count: 2. Errors validating data for resource productOffering. 2 error(s) occurred.\n",
"importSummary": "",
"errorLogUrl": "v1/importFile/173225.log",
"creationDate": "2021-04-22 16:16:26.902",
"completionDate": "2021-04-22 16:17:11.272",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173225"
},
{
"id": 173220,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "ERROR",
"fileName": "Device_21c_PO - pricelist50priceattached copy.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/Device_21c_PO - pricelist50priceattached copy.json",
"errorLog": "Total error count: 1. ERROR:Error validating data.\nError: records should be an array. Skipping resource \"id\". File name: Device_21c_PO - pricelist50priceattached copy.json",
"importSummary": "",
"errorLogUrl": "v1/importFile/173220.log",
"creationDate": "2021-04-22 16:12:21.601",
"completionDate": "2021-04-22 16:12:42.985",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173220"
},
{
"id": 173044,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "SUCCEEDED",
"fileName": "Device_21c_PO - pricelist50priceattached.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/Device_21c_PO - pricelist50priceattached.json",
"importSummary": {
"id": 173044,
"totalImportObjects": 2,
"resources": [
{
"name": "project",
"count": 1
},
{
"name": "productOffering",
"count": 1
}
]
},
"creationDate": "2021-04-22 13:38:38.378",
"completionDate": "2021-04-22 13:40:24.642",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173044"
},
{
"id": 173035,
"@type": "ImportJobOracle",
"contentType": "application/json",
"status": "ERROR",
"fileName": "Device_21c_PO - pricelist50priceattached.json",
"createdBy": "booth",
"path": "",
"url": "v1/importFile/Device_21c_PO - pricelist50priceattached.json",
"errorLog": "Total error count: 1. Errors validating data for resource productOffering. 1 error(s) occurred.\n",
"importSummary": "",
"errorLogUrl": "v1/importFile/173035.log",
"creationDate": "2021-04-22 13:34:12.728",
"completionDate": "2021-04-22 13:34:44.876",
"href": "https://{OracleAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/173035"
}
]